Subject: Re: bug#70427: 30.0.50; Seg Fault when Resizing Buffer; Relating to 70385

From: Eli Zaretskii <[email-masked]>
Date: Tue, 16 Apr 2024 21:15:44 +0300

forcemerge 70385 70427
thanks

> Date: Tue, 16 Apr 2024 12:16:41 -0400
> From: Kyle Goldbeck <[email-masked]>
> 
> It seems I've run into a bug relating to Bug #70385. It looks like this
> has been marked as resolved, but I've been experiencing intermittent
> crashes relating to this when trying to resize buffers.
> 
> To Replicate:
> - `emacs -Q`
> - Enlarge window to fit screen
> - `C-x 3`
> - `C-x {`
> - `C-x z`
> - `z` until segfault
> 
> I haven't tested this out with a horizontal split, but a vertical split
> always seems to crash.
> 
> One interesting thing I did find is that, if `C-x 3` is run while emacs
> is in a small window (i.e. not enlarged to fit the full desktop), the
> segfault will not occurr. Conversely, if the window is enlarged THEN
> split, emacs will segfault.

I cannot reproduce this, sadly.

> Here is the full gdb trace:

Please show the information I requested in bug #70385.